# This use case will add all video adaptation sets to a switching set,
# using essential property.
# It will also add all audio adaptation sets to another switching set,
# using supplemental property.
mpd:
- manifest_edit.plugins.mpd.adaptation_sets_switching:
    periods:
      - '*' : '.*'
        adaptationSets:
          - contentType: 'video'
            plugin_config:
              switching_set: '1'
              destination: 'essential_property'
          - contentType: 'audio'
            plugin_config:
              switching_set: '2'
              destination: 'supplemental_property'

- manifest_edit.plugins.mpd.descriptor_add:

